
var  iced_chart_rows;
function closethis(){
	var shortcode = "[chart]['x','y']";
	for(var i = 0; i < iced_chart_rows; i++){
		shortcode += ',["' + document.getElementById('r_' + i + '_c0').value;		
		shortcode += '",' + document.getElementById('r_' + i + '_c1').value + ']'; 
	}
	shortcode += '[/chart]';
	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
	tb_remove();
}	

(function() {
	tinymce.create('tinymce.plugins.iced_chart', {

		init : function(ed, url){
			ed.addButton('iced_chart', {
				title : 'Insert Chart',
				onclick : function() {
					// triggers the thickbox
					var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
					W = W - 150;
					H = H - 100;
					tb_show( 'Insert Chart', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=chart-form' );					
				},
				image: url + "/icon.png"
			});
		},

		getInfo : function() {
			return {
				longname : 'Iced Chart Insert Button',
				author : 'Harsha',
				authorurl : 'http://icedapp.com',
				infourl : '',
				version : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('iced_chart', tinymce.plugins.iced_chart);

	jQuery(function(){
	
		// creates a form to be displayed everytime the button is clicked
		// you should achieve this using AJAX instead of direct html code like this
		var form = jQuery('<div id="chart-form"><table id="mygallery-table" class="form-table">\
			<tr>\
				<th><label for="chart-columns">Values</label></th>\
				<td><input type="text" id="chartcolumns" name="columns" value="3" /><br />\
				<small>specify the number of values.</small>	</td><td>	<p class="submit">\
			<input type="button" id="mygallery-submit" class="button-primary" value="Add values" name="submit" /></td>\
			</tr>\
				</table>\
		</p>\
		<div id="tableinput"></div></div>');
		
		var table = form.find('table');
		form.appendTo('body').hide();
		form.find('#mygallery-submit').click(function(){
			iced_chart_rows = document.getElementById("chartcolumns").value;
			var tablecontent = '<form><table><tr><th>Title</th><th>Value</th></tr>';
			for(var i = 0; i < iced_chart_rows; i++){
				tablecontent += '<tr><td><input id="r_' + i + '_c0"/></td><td><input id="r_' + i + '_c1"/></td></tr>';
			}
			tablecontent += '</table></form>';
			tablecontent += '<input type="buttom" id="chart-submit" class="button-primary" value="Insert Chart" name="submit" onclick="closethis();"/>';
			document.getElementById("tableinput").innerHTML = tablecontent;
				
		});
	});
})();	